Skip to main content
`Ctrl`+`K`

# PetscViewerDrawGetHold

Checks if the `PETSCVIEWERDRAW` `PetscViewer` holds previous image when drawing new image

## Synopsis

    #include "petscdraw.h"
    #include "petscviewer.h"
    PetscErrorCode PetscViewerDrawGetHold(PetscViewer viewer, PetscBool *hold)

Not Collective

## Input Parameter

- viewer - the `PetscViewer`

## Output Parameter

- hold - indicates to hold or not

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERDRAW`, `PetscViewerDrawOpen()`, `PetscViewerDrawGetDraw()`

## Level

intermediate

## Location

src/sys/classes/viewer/impls/draw/drawv.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages